<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Calculator</title>
</head>
<style>
    body{
        text-align: center;
    }
    table td{
        color: darkorange;
        background-color: crimson;
    }

</style>
<body>
<form name="calc">
<table border="2" align="center" cellpadding="20" height="300px" width="300px">
    <tr>
        <td colspan="4"><input type="text" name="display"></td>
    </tr>
    <tr>
        <td colspan="1" class="color"><input type="button" value="C" onclick="calc.display.value=''"></td>
        <td colspan="1" class="color"><input type="button" value="%" onclick="calc.display.value=eval(calc.display.value)/100"></td>
        <td colspan="2"><input type="button" value="&larr;" onclick="calc.display.value=calc.display.value.substr(0,calc.display.value.length-1)"></td>
    </tr>
    <tr>
        <td><input type="button" value="7" onclick="calc.display.value+='7'"></td>
        <td><input type="button" value="8" onclick="calc.display.value+='8'"></td>
        <td><input type="button" value="9" onclick="calc.display.value+='9'"></td>
        <td><input type="button" value="/" onclick="calc.display.value+='/'"></td>
    </tr>
    <tr>
        <td><input type="button" value="4" onclick="calc.display.value+='4'"></td>
        <td><input type="button" value="5" onclick="calc.display.value+='5'"></td>
        <td><input type="button" value="6" onclick="calc.display.value+='6'"></td>
        <td><input type="button" value="x" onclick="calc.display.value+='*'"></td>
    </tr>
    <tr>
        <td><input type="button" value="1" onclick="calc.display.value+='1'"></td>
        <td><input type="button" value="2" onclick="calc.display.value+='2'"></td>
        <td><input type="button" value="3" onclick="calc.display.value+='3'"></td>
        <td><input type="button" value="-" onclick="calc.display.value+='-'"></td>
    </tr>
    <tr>
        <td><input type="button" value="." onclick="calc.display.value+='.'"></td>
        <td><input type="button" value="0" onclick="calc.display.value+='0'"></td>
        <td><input type="button" value="=" onclick="calc.display.value=eval(calc.display.value)"></td>
        <td><input type="button" value="+" onclick="calc.display.value+='+'"></td>
    </tr>
</table>
    </form>
</body>
</html>